package com.jxy.marketall.enums;

public enum BTCRedisName {

    BTC_CDD("dailyindsv3e1", "cdd,sacdd,eacdd","CoinDayDes"),
    BTC_PROFITRATE("dailyindsv3e1", "profitrate","ProfitRateList"),
    BTC_FEES("dailyindsv3e1", "fees","feesList"),
    BTC_ADDRESS("dailyindsv3e1", "mix","addressList"),
    BTC_VOLUME("dailyindsv3e1", "volume","volumeList"),
    BTC_EAVOLUME("dailyindsv3e1", "eavolume","eaVolumeList"),
    BTC_SOPR("dailyindsv3e1", "mix","soprList"),
    BTC_ASOL("dailyindsv3e1", "mix","asolList"),
    BTC_DORMANCY("dailyindsv3e1", "mix","dormancyList"),
    BTC_SOAG("dailyindsv3e1", "mix","soagList"),
    BTC_CIRCULATING_SUPPLY("dailyindsv3e1", "csupply","circulatingSupplyList"),
    BTC_SUM_CIRCULATING_SUPPLY("dailyindsv3e1", "sumcsupply","sumCirculatingSupplyList"),
    BTC_SUM_CDD("dailyindsv3e1", "sumcdd,","sumCddList"),
    BTC_SUM_ENTITY_ADJUSTED_CDD("dailyindsv3e1", "sumeacdd","sumCddList"),
    BTC_LIVELINESS("dailyindsv3e1", "liveliness,ealiveliness","liveLinessList"),
    BTC_REALIZED_PROFIT("dailyindsv3e1", "rprofit","realizedProfitList"),
    BTC_REALIZED_LOSS("dailyindsv3e1", "rloss","realizedLossList"),
    BTC_RPL_RATE("dailyindsv3e1", "rplrate","rplRateList"),
    BTC_MARKETCAP("dailyindsv3e1", "marketcap","marketCapList"),
    BTC_REALIZED_CAP("dailyindsv3e1", "rcap","realizedCapList"),
    BTC_ENTIT_ADJUSTED_REALIZED_CAP("dailyindsv3e1", "earcap","earealizedCapList"),
    BTC_MVRV("dailyindsv3e1", "mvrv","mvrvList"),
    BTC_MVRVZ("dailyindsv3e1", "rcap,marketcap","rcapAndMcapList"),
    BTC_LTH_MVRV("utxosv3", "lthmvrv,lthmarketcap,lthrcap","lthmvrvList"),
    BTC_STH_MVRV("utxosv3", "sthmvrv,sthmarketcap,sthrcap","sthmvrvList"),
    BTC_NUPL("dailyindsv3e1", "nupl","nuplList"),
    BTC_PRICE("dailyindsv3e1", "price","btcPriceList"),
    BTC_MINTUSD("dailyindsv3e1", "mintusd","mintusdList"),
    BTC_UNREALIZED_PROFIT("utxosv3", "uprofit","uProfitList"),
    BTC_UNREALIZED_LOSS("utxosv3", "uloss","uLossList"),
    BTC_LTH_NUPL("utxosv3", "lthnupl","lthNuplList"),
    BTC_STH_NUPL("utxosv3", "sthnupl","sthNuplList"),
    BTC_MINER_ADDRESS("utxosv3", "miner_address","minerAddressList"),
    BTC_MINER_BALANCE("utxosv3", "miner_balance","minerBalanceList"),
    BTC_VDD("dailyindsv3e1", "vdd","btcVDDList");

    private final String table;
    private final String filed;
    private final String key;

    BTCRedisName(String table, String filed, String key) {
        this.table = table;
        this.filed = filed;
        this.key = key;
    }


    public String getTable()
    {
        return table;
    }

    public String getFiled()
    {
        return filed;
    }

    public String getKey()
    {
        return key;
    }
}
